﻿@model List<BalanceViewModel>

<div class="container">
    <h4>موجودی ما</h4>
    <div class="carousel slide" data-ride="carousel">
        <div class="carousel-inner text-center">
            @for (int i = 0; i < Model.Count - 1 / 6; i++)
            {
                var carouselClss = "carousel-item";
                if (i == 0) { carouselClss += " active"; }
                <div class="@carouselClss">
                    @for (int j = 0; j < 6 && i + j < Model.Count; j++)
                    {
                        var item = Model[i + j];
                        <div class="col-sm">
                            <div class="card">
                                <div class="card-body">
                                    <img class="img-fluid" style="height:50px;" src="@item.ImgSrc" alt="@item.Type.ToDisplay(DisplayProperty.Prompt)">
                                    <p>@item.Name</p>
                                    @if (item.Type == Xtoman.Domain.Models.ECurrencyType.Shetab)
                                    {
                                        <small>@item.Available.ToPriceWithoutFloat() تومان</small>
                                    }
                                    else
                                    {
                                        <small>@item.Available.ToBlockChainPrice() @item.Type.ToDisplay(DisplayProperty.ShortName)</small>
                                    }
                                </div>
                            </div>
                        </div>
                    }
                </div>
            }
        </div>
    </div>
</div>